summarylogtreecommitdiffstats
path: root/frr_7.0_Archlinux.patch
blob: fa96bc7bbd312b739b471d497a659eb4e76f70c4 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
diff -Naupr frr-frr-7.0_orig/tools/etc/frr/daemons frr-frr-7.0/tools/etc/frr/daemons
--- frr-frr-7.0_orig/tools/etc/frr/daemons	2019-03-01 06:32:04.000000000 +0700
+++ frr-frr-7.0/tools/etc/frr/daemons	2019-05-10 14:52:18.395888041 +0700
@@ -29,6 +29,8 @@ sharpd=no
 pbrd=no
 bfdd=no
 fabricd=no
+zebra=yes
+#ospfd_instances="1,2,3"
 
 #
 # If this option is set the /etc/init.d/frr script automatically loads
@@ -36,26 +38,27 @@ fabricd=no
 # Check /etc/pam.d/frr if you intend to use "vtysh"!
 #
 vtysh_enable=yes
-zebra_options="  -A 127.0.0.1 -s 90000000"
-bgpd_options="   -A 127.0.0.1"
-ospfd_options="  -A 127.0.0.1"
-ospf6d_options=" -A ::1"
-ripd_options="   -A 127.0.0.1"
-ripngd_options=" -A ::1"
-isisd_options="  -A 127.0.0.1"
-pimd_options="   -A 127.0.0.1"
-ldpd_options="   -A 127.0.0.1"
-nhrpd_options="  -A 127.0.0.1"
-eigrpd_options=" -A 127.0.0.1"
-babeld_options=" -A 127.0.0.1"
-sharpd_options=" -A 127.0.0.1"
-pbrd_options="   -A 127.0.0.1"
-staticd_options="-A 127.0.0.1"
-bfdd_options="   -A 127.0.0.1"
-fabricd_options="-A 127.0.0.1"
+zebra_options="  -A 127.0.0.1 -s 90000000 -d"
+bgpd_options="   -A 127.0.0.1 -d"
+ospfd_options="  -A 127.0.0.1 -d"
+ospf6d_options=" -A ::1 -d"
+ripd_options="   -A 127.0.0.1 -d"
+ripngd_options=" -A ::1 -d"
+isisd_options="  -A 127.0.0.1 -d"
+pimd_options="   -A 127.0.0.1 -d"
+ldpd_options="   -A 127.0.0.1 -d"
+nhrpd_options="  -A 127.0.0.1 -d"
+eigrpd_options=" -A 127.0.0.1 -d"
+babeld_options=" -A 127.0.0.1 -d"
+sharpd_options=" -A 127.0.0.1 -d"
+pbrd_options="   -A 127.0.0.1 -d"
+staticd_options="-A 127.0.0.1 -d"
+bfdd_options="   -A 127.0.0.1 -d"
+fabricd_options="-A 127.0.0.1 -d"
 
 # The list of daemons to watch is automatically generated by the init script.
-#watchfrr_options=""
+watchfrr_enable=yes
+watchfrr_options="-d -r '/usr/bin/frr restart %s' -s '/usr/bin/frr start %s' -k '/usr/bin/frr stop %s'"
 
 # for debugging purposes, you can specify a "wrap" command to start instead
 # of starting the daemon directly, e.g. to use valgrind on ospfd:
diff -Naupr frr-frr-7.0_orig/tools/frrcommon.sh.in frr-frr-7.0/tools/frrcommon.sh.in
--- frr-frr-7.0_orig/tools/frrcommon.sh.in	2019-03-01 06:32:04.000000000 +0700
+++ frr-frr-7.0/tools/frrcommon.sh.in	2019-05-10 14:32:51.919090139 +0700
@@ -270,7 +270,7 @@ load_old_config() {
 	[ -s "$oldcfg" ] || return 0
 	grep -v '^[[:blank:]]*\(#\|$\)' "$oldcfg" > /dev/null || return 0
 
-	log_warning_msg "Reading deprecated $oldcfg.  Please move its settings to $C_PATH/daemons and remove it."
+	log_warning_msg "Reading deprecated $oldcfg.  Please move its settings to $C_PATH/daemons.conf and remove it."
 
 	# save off settings from daemons for the OR below
 	for dmn in $DAEMONS; do eval "_new_$dmn=\${$dmn:-no}"; done
@@ -281,8 +281,8 @@ load_old_config() {
 	for dmn in $DAEMONS; do eval "test \$_new_$dmn != no && $dmn=\$_new_$dmn; unset _new_$dmn"; done
 }
 
-[ -r "$C_PATH/daemons" ] || {
-	log_failure_msg "cannot run $@: $C_PATH/daemons does not exist"
+[ -r "$C_PATH/daemons.conf" ] || {
+	log_failure_msg "cannot run $@: $C_PATH/daemons.conf does not exist"
 	exit 1
 }
 . "$C_PATH/daemons"
diff -Naupr frr-frr-7.0_orig/tools/frr.in frr-frr-7.0/tools/frr.in
--- frr-frr-7.0_orig/tools/frr.in	2019-03-01 06:32:04.000000000 +0700
+++ frr-frr-7.0/tools/frr.in	2019-05-10 14:32:51.919090139 +0700
@@ -500,10 +500,9 @@ check_status()
 #########################################################
 
 # Config broken but script must exit silently.
-[ ! -r "$C_PATH/daemons" ] && exit 0
+[ ! -r "$C_PATH/daemons.conf" ] && exit 0
 
 # Load configuration
-. "$C_PATH/daemons"
 . "$C_PATH/daemons.conf"
 
 # Read configuration variable file if it is present
diff -Naupr frr-frr-7.0_orig/tools/frr-reload frr-frr-7.0/tools/frr-reload
--- frr-frr-7.0_orig/tools/frr-reload	2019-03-01 06:32:04.000000000 +0700
+++ frr-frr-7.0/tools/frr-reload	2019-05-10 14:32:51.919090139 +0700
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-if test -e /usr/lib/frr/frr-reload.py; then
-   exec /usr/lib/frr/frr-reload.py --reload /etc/frr/frr.conf
+if test -e /usr/bin/frr-reload.py; then
+   exec /usr/bin/frr-reload.py --reload /etc/frr/frr.conf
 fi
 >&2 echo "Please install frr-pythontools package. Required for reload"
 exit 1